/**
 * FANGS THEME CORE STYLESHEET
 */


/**********************************************************************************************************************/
/*** DEFAULTS                                                                                                         */
/**********************************************************************************************************************/

:root {
    --card-shadow: 0 1px 3px rgba(0, 0, 0, .12), 0 1px 2px rgba(0, 0, 0, .24);
    --card-background: #ffffff;

    --font-size: .75rem;
    --font-color: #555;
    --font-solitaire-color: #555;
    --title-color: #555;
    --title-solitaire-color: #555;

    /* BASIC COLORS */
    --color-white: #fff;
    --color-black: #000;
    --color-light: #fff;
    --color-dark: #333;
    --color-default: #999;

    /* CONTEXTUAL COLORS */
    --color-primary: #2196F3;
    --color-primary-counter: #ffffff;
    --color-primary-alpha: rgba(33, 150, 243, .5);
    --color-primary-alpha-counter: #ffffff;

    --color-secondary: #777777;
    --color-secondary-counter: #222;
    --color-secondary-alpha: rgba(119, 119, 119, .5);
    --color-secondary-alpha-counter: #222;

    --color-info: #00bcd4;
    --color-info-counter: #ffffff;
    --color-info-alpha: rgba(0, 188, 212, .5);
    --color-info-alpha-counter: #ffffff;

    --color-success: #4caf50;
    --color-success-counter: #ffffff;
    --color-success-alpha: rgba(76, 175, 80, .5);
    --color-success-alpha-counter: #ffffff;

    --color-warning: #ffb346;
    --color-warning-counter: #ffffff;
    --color-warning-alpha: rgba(255, 179, 70, .5);
    --color-warning-alpha-counter: #ffffff;

    --color-danger: #f44336;
    --color-danger-counter: #ffffff;
    --color-danger-alpha: rgba(244, 67, 54, .5);
    --color-danger-alpha-counter: #ffffff;
}

html {
    font-size: var(--font-size) !important;
}
body {
    font-family: 'Roboto', sans-serif;
}

div {
    border-width: 0;
}
audio {
    width: 100%;
}


/**********************************************************************************************************************/
/*** CORE COMPONENTS                                                                                                  */
/**********************************************************************************************************************/

/**********************************************************/
/*** CARDS                                                */
/**********************************************************/
.fangs-card {
    margin-bottom: 20px;
    border-radius: 5px;
    box-shadow: 0 1px 3px rgba(0, 0, 0, .12), 0 1px 2px rgba(0, 0, 0, .24);
    position: relative;
    background: #ffffff;
    transition: all 0.8s;
}
.fangs-card:hover:not(.no-hover) {
    box-shadow: 0 1px 3px rgba(33, 162, 245, .7), 0 1px 2px rgba(33, 162, 245, .7);
}
.fangs-card p,
.fangs-card small,
.fangs-card time,
.fangs-card td,
.fangs-card span {
    color: var(--font-color);
}
.fangs-card h1,
.fangs-card h2,
.fangs-card h3,
.fangs-card h4,
.fangs-card h5,
.fangs-card h6 {
    color: var(--title-color);
}
.fangs-card-header {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 15px 10px;
    border-bottom: 1px solid #eee;
    border-radius: 5px 5px 0 0;
    position: relative;
    transition: background-color 1s;
}
.fangs-card-header.bodyless{
    border-radius: 5px;
}
.fangs-card-header h1,
.fangs-card-header h2,
.fangs-card-header h3,
.fangs-card-header h4,
.fangs-card-header h5,
.fangs-card-header h6 {
    padding: 0 !important;
    margin: 0 !important;
}
.fangs-card-body {
    padding: 10px;
    border-radius: 0 0 5px 5px;
    position: relative;
    transition: background-color 1s;
}
.fangs-card-body.headerless{
    border-radius: 5px;
}
.fangs-card-body.with-footer{
    border-bottom-left-radius: 0;
    border-bottom-right-radius: 0;
}
.fangs-card-body img {
    max-width: 100%;
}
.fangs-card-body > *:last-child {
    margin-bottom: 0;
}
.fangs-card-footer {
    display: flex;
    justify-content: space-between;
    padding: 5px 10px;
    border-top: 1px solid #ddd;
    border-radius:  0 0 5px 5px;
    background: #eee;
    position: relative;

}
.fangs-card-footer p,
.fangs-card-footer small,
.fangs-card-footer span {
    color: #555;
}
.fangs-card-footer *:last-child {
    margin-bottom: 0;
}

.fangs-card-heading-buttons {
    display: flex;
    justify-content: space-between;
    padding: 0 0 0 15px;
    position: relative;
}
.fangs-card-heading-buttons a.btn {
    border-left: 1px solid #ddd;
    align-self: center;
    position: relative;
}


/**********************************************************/
/*** BOXES                                                */
/**********************************************************/
.fangs-box {
    padding: 10px;
    margin-bottom: 10px;
    border-width: 0;
}


/**********************************************************/
/*** TABS                                                 */
/**********************************************************/
.fangs-tabs{
    margin-bottom: 20px;
    border-radius: 5px;
    position: relative;
}
.fangs-tabs-header{
    display: inline-flex;
    justify-content: flex-start;
    align-items: flex-end;
    border-radius: 5px 5px 0 0;
    position: relative;
    left: 5px;
    z-index: 1;
}
.fangs-tabs-header .fangs-tabs-button{
    padding: 10px !important;
    border-left: 1px solid #c1c1c1;
    border-right: 0;
    border-radius: 0 0 0 0;
    background: rgba(100,100,100,.2);
    font-size: 18px;
    color: rgba(100,100,100,.5);
    cursor: pointer;
    white-space: nowrap;
    transition: all 0.3s;
}
.fangs-tabs-header .fangs-tabs-button:hover{
    background: rgba(100,100,100,.3);
    color: rgba(100,100,100,.8);
}
.fangs-tabs-header .fangs-tabs-button:first-child{
    border-left: 1px solid #c4c4c4;
    border-top-left-radius: 5px !important;
}
.fangs-tabs-header .fangs-tabs-button:last-child{
    margin-right: 10px !important;
    border-right: 1px solid #c4c4c4 !important;
    border-top-right-radius: 5px !important;
}
.fangs-tabs-header .fangs-tabs-button.active{
    padding: 12px 10px !important;
    background: #ffffff;
    border-radius: 5px 5px 0 0;
    color: var(--color-primary);
}

.fangs-tabs-panel {
    display: none;
    padding: 10px;
    border-radius: 5px;
    position: relative;
    background: #ffffff;
    box-shadow: 0 1px 3px rgba(0, 0, 0, .12), 0 1px 2px rgba(0, 0, 0, .24);
    transition: background-color 1s;
}


/**********************************************************************************************************************/
/*** TABLES                                                                                                           */
/**********************************************************************************************************************/

/* TABLES */
table tr td {
    vertical-align: middle;
}
tr.row-inactive {
    color: #cccccc;
}
table tfoot td {
    font-weight: bold;
}

.table-batch-actions{
    margin: 20px 5px 5px 5px;
}


/**********************************************************************************************************************/
/*** COMPONENTS                                                                                                       */
/**********************************************************************************************************************/

/* LEDS */
.fangs-led:hover {
    color: rgba(0, 0, 255, .5) !important;
    text-decoration: none;
}

/* DATA VALUE LIST */
ul.lst-data-value {
    list-style: none;
    overflow: auto;
    margin: 0;
    padding: 0;
}
ul.lst-data-value li {
    display: flex;
    justify-content: space-between;
    padding: 5px 10px;
}
ul.lst-data-value li span:nth-child(1) {
}
ul.lst-data-value li span:nth-child(2) {
    font-weight: bold;
}


/**********************************************************************************************************************/
/*** HELPERS                                                                                                          */
/**********************************************************************************************************************/

/* MOUSE CURSORS */
.mouse-grap {
    cursor: grab;
}

/* HORIZONTAL RULES */
hr.separator {
    width: 75%;
    margin: 30px auto;
    height: 1px;
    border: none;
    color: #e0e0e0;
    background-color: #e0e0e0;
}

/* POSITIONING */
.valign-middle {
    vertical-align: middle;
}

/* ICONS */
.icon-sm {
    font-size: 0.8rem;
}
.icon-md {
    font-size: 1.2rem;
}
.icon-lg {
    font-size: 1.5rem;
}
.icon-xg {
    font-size: 1.8rem;
}
.icon-2x {
    font-size: 2rem;
}
.icon-3x {
    font-size: 3rem;
}
.icon-4x {
    font-size: 4rem;
}
.icon-5x {
    font-size: 5rem;
}

.text-icon {
    color: #9e9e9e;
}
.text-icon:hover {
    text-decoration: none;
}

.heading-icon {
    font-size: 0.6em !important;
    color: #9e9e9e;
}
.heading-icon:hover {
    text-decoration: none;
}

.span-link i{
    color: var(--color-primary);
    cursor: pointer;
}
.span-link i:hover{
    color: var(--color-primary-alpha);
}

/* ANIMATIONS */
.blink {
    width: 100%;
    height: 100%;
    position: absolute;
    top: 0;
    left: 0;
    box-shadow: 0 0 40px #ffff00;
}

/* IMAGES */
.img-50x50 {
    max-width: 50px;
    max-height: 50px;
}
.img-100x100 {
    max-width: 100px;
    max-height: 100px;
}
.img-160x45 {
    max-width: 160px;
    max-height: 45px;
}
.img-50x100 {
    max-width: 50px;
    max-height: 100px;
}


/**********************************************************/
/*** BACKGROUNDS                                          */
/**********************************************************/

/* https://heropatterns.com */
.bg-church-on-sunday {
    background-color: #ffffff;
    background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='80' height='80' viewBox='0 0 80 80'%3E%3Cg fill-rule='evenodd'%3E%3Cg id='church-on-sunday' fill='%23eeeeee' fill-opacity='0.4'%3E%3Cpath d='M77.17 0H80v2.83l-.1.1A39.9 39.9 0 0 1 74.64 20a39.9 39.9 0 0 1 5.24 17.06l.11.11v2.89c-.01 6.9-1.8 13.79-5.35 19.94A39.96 39.96 0 0 1 80 79.94V80h-2.83L66.84 69.66a39.83 39.83 0 0 1-24.1 10.25l.09.09h-5.66l.1-.1c-8.7-.58-17.22-4-24.1-10.23L2.82 80H0V79.94c.01-6.9 1.8-13.8 5.35-19.94A39.96 39.96 0 0 1 0 40.06V37.17l.1-.1A39.9 39.9 0 0 1 5.36 20 39.9 39.9 0 0 1 .1 2.94L0 2.83V0h2.83l-.1.1a39.83 39.83 0 0 1 24.1 10.24L37.18 0H40c0 6.92-1.78 13.83-5.35 20A39.96 39.96 0 0 1 40 40c0-6.92 1.78-13.83 5.35-20A39.96 39.96 0 0 1 40 0h2.83l10.33 10.34A39.83 39.83 0 0 1 77.26.09L77.17 0zm.77 77.94c-.3-5.52-1.8-11-4.49-16a40.18 40.18 0 0 1-5.17 6.34l9.66 9.66zm-12.52-9.7l-6.83-6.83-5.46 5.46-1.41 1.41-9.66 9.66c8.4-.45 16.69-3.68 23.36-9.7zm-23.07 6.58l7.99-7.98a40.05 40.05 0 0 1-3.79-4.9 37.88 37.88 0 0 0-4.2 12.88zM47.68 60a37.98 37.98 0 0 0 4.07 5.42L57.17 60l-5.42-5.42A38 38 0 0 0 47.68 60zm2.66-6.84a40.06 40.06 0 0 0-3.79 4.9 37.88 37.88 0 0 1-4.2-12.88l7.99 7.98zm1.38-1.44l1.41 1.41 5.46 5.46 6.83-6.84a37.85 37.85 0 0 0-23.36-9.7l9.66 9.67zM60 60l6.87 6.87A38.1 38.1 0 0 0 72.32 60a38.11 38.11 0 0 0-5.45-6.87L60 60zm-14.65 0a39.9 39.9 0 0 0-5.24 17.06l-.11.11-.1-.1A39.9 39.9 0 0 0 34.64 60a39.9 39.9 0 0 0 5.24-17.06l.11-.11.1.1A39.9 39.9 0 0 0 45.36 60zm9.23-48.25a37.85 37.85 0 0 1 23.36-9.7l-9.66 9.67-1.41 1.41-5.46 5.46-6.83-6.84zm13.67 13.67L62.83 20l5.42-5.42A38 38 0 0 1 72.32 20a37.98 37.98 0 0 1-4.07 5.42zm5.2-3.47a40.05 40.05 0 0 1-3.79 4.89l7.99 7.98c-.61-4.45-2.01-8.82-4.2-12.87zm-6.58 4.92l1.41 1.41 9.66 9.66a37.85 37.85 0 0 1-23.36-9.7l6.83-6.83 5.46 5.46zM53.13 13.13L60 20l-6.87 6.87A38.11 38.11 0 0 1 47.68 20a38.1 38.1 0 0 1 5.45-6.87zm-1.41-1.41l-9.66-9.66c.3 5.52 1.8 11 4.49 16a40.18 40.18 0 0 1 5.17-6.34zm-9.66 26.22c.3-5.52 1.8-11 4.49-16a40.18 40.18 0 0 0 5.17 6.34l-9.66 9.66zm26.22 13.78l9.66-9.66c-.3 5.52-1.8 11-4.49 16a40.18 40.18 0 0 0-5.17-6.34zm8.98-11.81L66.84 50.34a39.83 39.83 0 0 0-24.1-10.25l10.42-10.43a39.83 39.83 0 0 0 24.1 10.25zm-7.6-26.75a40.06 40.06 0 0 1 3.79 4.9 37.88 37.88 0 0 0 4.2-12.88l-7.99 7.98zm-31.72 28.9c-8.4.45-16.69 3.68-23.36 9.7l6.83 6.83 5.46-5.46 1.41-1.41 9.66-9.66zM22.83 60l5.42 5.42c1.54-1.7 2.9-3.52 4.07-5.42a38 38 0 0 0-4.07-5.42L22.83 60zm5.45 8.28l-1.41-1.41-5.46-5.46-6.83 6.84a37.85 37.85 0 0 0 23.36 9.7l-9.66-9.67zm9.37 6.54l-7.99-7.98a40.05 40.05 0 0 0 3.79-4.9 37.88 37.88 0 0 1 4.2 12.88zM20 60l-6.87-6.87A38.11 38.11 0 0 0 7.68 60a38.11 38.11 0 0 0 5.45 6.87L20 60zm17.26-19.9L26.84 29.65a39.83 39.83 0 0 1-24.1 10.25l10.42 10.43a39.83 39.83 0 0 1 24.1-10.25zm-35.2 1.96l9.66 9.66a40.18 40.18 0 0 0-5.17 6.33c-2.7-5-4.2-10.47-4.5-16zm4.49 19.89c-2.7 5-4.2 10.47-4.5 16l9.67-9.67a40.18 40.18 0 0 1-5.17-6.33zm31.1-16.77c-.61 4.45-2.01 8.82-4.2 12.87a40.06 40.06 0 0 0-3.79-4.89l7.99-7.98zm-4.2-23.23c2.7 5 4.2 10.47 4.5 16l-9.67-9.67c1.97-1.97 3.7-4.1 5.17-6.33zm-14.86-.54l6.83 6.84a37.85 37.85 0 0 1-23.36 9.7l9.66-9.67 1.41-1.41 5.46-5.46zm-8.25 5.43l-7.99 7.98c.61-4.45 2.01-8.82 4.2-12.87a40.04 40.04 0 0 0 3.79 4.89zm1.41-1.42A37.99 37.99 0 0 1 7.68 20a38 38 0 0 1 4.07-5.42L17.17 20l-5.42 5.42zm-5.2-7.37a40.04 40.04 0 0 1 3.79-4.89L2.35 5.18c.61 4.45 2.01 8.82 4.2 12.87zm6.58-4.92l-1.41-1.41-9.66-9.66a37.85 37.85 0 0 1 23.36 9.7l-6.83 6.83-5.46-5.46zm13.74 13.74L20 20l6.87-6.87A38.1 38.1 0 0 1 32.32 20a38.1 38.1 0 0 1-5.45 6.87zm6.58-8.82a40.18 40.18 0 0 0-5.17-6.33l9.66-9.66c-.3 5.52-1.8 11-4.49 16z' /%3E%3C/g%3E%3C/g%3E%3C/svg%3E");
    transition: all 1s;
}
.bg-church-on-sunday-blue {
    background-color: #ffffff;
    background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='80' height='80' viewBox='0 0 80 80'%3E%3Cg fill-rule='evenodd'%3E%3Cg id='church-on-sunday' fill='%23bbdcff' fill-opacity='0.27'%3E%3Cpath d='M77.17 0H80v2.83l-.1.1A39.9 39.9 0 0 1 74.64 20a39.9 39.9 0 0 1 5.24 17.06l.11.11v2.89c-.01 6.9-1.8 13.79-5.35 19.94A39.96 39.96 0 0 1 80 79.94V80h-2.83L66.84 69.66a39.83 39.83 0 0 1-24.1 10.25l.09.09h-5.66l.1-.1c-8.7-.58-17.22-4-24.1-10.23L2.82 80H0V79.94c.01-6.9 1.8-13.8 5.35-19.94A39.96 39.96 0 0 1 0 40.06V37.17l.1-.1A39.9 39.9 0 0 1 5.36 20 39.9 39.9 0 0 1 .1 2.94L0 2.83V0h2.83l-.1.1a39.83 39.83 0 0 1 24.1 10.24L37.18 0H40c0 6.92-1.78 13.83-5.35 20A39.96 39.96 0 0 1 40 40c0-6.92 1.78-13.83 5.35-20A39.96 39.96 0 0 1 40 0h2.83l10.33 10.34A39.83 39.83 0 0 1 77.26.09L77.17 0zm.77 77.94c-.3-5.52-1.8-11-4.49-16a40.18 40.18 0 0 1-5.17 6.34l9.66 9.66zm-12.52-9.7l-6.83-6.83-5.46 5.46-1.41 1.41-9.66 9.66c8.4-.45 16.69-3.68 23.36-9.7zm-23.07 6.58l7.99-7.98a40.05 40.05 0 0 1-3.79-4.9 37.88 37.88 0 0 0-4.2 12.88zM47.68 60a37.98 37.98 0 0 0 4.07 5.42L57.17 60l-5.42-5.42A38 38 0 0 0 47.68 60zm2.66-6.84a40.06 40.06 0 0 0-3.79 4.9 37.88 37.88 0 0 1-4.2-12.88l7.99 7.98zm1.38-1.44l1.41 1.41 5.46 5.46 6.83-6.84a37.85 37.85 0 0 0-23.36-9.7l9.66 9.67zM60 60l6.87 6.87A38.1 38.1 0 0 0 72.32 60a38.11 38.11 0 0 0-5.45-6.87L60 60zm-14.65 0a39.9 39.9 0 0 0-5.24 17.06l-.11.11-.1-.1A39.9 39.9 0 0 0 34.64 60a39.9 39.9 0 0 0 5.24-17.06l.11-.11.1.1A39.9 39.9 0 0 0 45.36 60zm9.23-48.25a37.85 37.85 0 0 1 23.36-9.7l-9.66 9.67-1.41 1.41-5.46 5.46-6.83-6.84zm13.67 13.67L62.83 20l5.42-5.42A38 38 0 0 1 72.32 20a37.98 37.98 0 0 1-4.07 5.42zm5.2-3.47a40.05 40.05 0 0 1-3.79 4.89l7.99 7.98c-.61-4.45-2.01-8.82-4.2-12.87zm-6.58 4.92l1.41 1.41 9.66 9.66a37.85 37.85 0 0 1-23.36-9.7l6.83-6.83 5.46 5.46zM53.13 13.13L60 20l-6.87 6.87A38.11 38.11 0 0 1 47.68 20a38.1 38.1 0 0 1 5.45-6.87zm-1.41-1.41l-9.66-9.66c.3 5.52 1.8 11 4.49 16a40.18 40.18 0 0 1 5.17-6.34zm-9.66 26.22c.3-5.52 1.8-11 4.49-16a40.18 40.18 0 0 0 5.17 6.34l-9.66 9.66zm26.22 13.78l9.66-9.66c-.3 5.52-1.8 11-4.49 16a40.18 40.18 0 0 0-5.17-6.34zm8.98-11.81L66.84 50.34a39.83 39.83 0 0 0-24.1-10.25l10.42-10.43a39.83 39.83 0 0 0 24.1 10.25zm-7.6-26.75a40.06 40.06 0 0 1 3.79 4.9 37.88 37.88 0 0 0 4.2-12.88l-7.99 7.98zm-31.72 28.9c-8.4.45-16.69 3.68-23.36 9.7l6.83 6.83 5.46-5.46 1.41-1.41 9.66-9.66zM22.83 60l5.42 5.42c1.54-1.7 2.9-3.52 4.07-5.42a38 38 0 0 0-4.07-5.42L22.83 60zm5.45 8.28l-1.41-1.41-5.46-5.46-6.83 6.84a37.85 37.85 0 0 0 23.36 9.7l-9.66-9.67zm9.37 6.54l-7.99-7.98a40.05 40.05 0 0 0 3.79-4.9 37.88 37.88 0 0 1 4.2 12.88zM20 60l-6.87-6.87A38.11 38.11 0 0 0 7.68 60a38.11 38.11 0 0 0 5.45 6.87L20 60zm17.26-19.9L26.84 29.65a39.83 39.83 0 0 1-24.1 10.25l10.42 10.43a39.83 39.83 0 0 1 24.1-10.25zm-35.2 1.96l9.66 9.66a40.18 40.18 0 0 0-5.17 6.33c-2.7-5-4.2-10.47-4.5-16zm4.49 19.89c-2.7 5-4.2 10.47-4.5 16l9.67-9.67a40.18 40.18 0 0 1-5.17-6.33zm31.1-16.77c-.61 4.45-2.01 8.82-4.2 12.87a40.06 40.06 0 0 0-3.79-4.89l7.99-7.98zm-4.2-23.23c2.7 5 4.2 10.47 4.5 16l-9.67-9.67c1.97-1.97 3.7-4.1 5.17-6.33zm-14.86-.54l6.83 6.84a37.85 37.85 0 0 1-23.36 9.7l9.66-9.67 1.41-1.41 5.46-5.46zm-8.25 5.43l-7.99 7.98c.61-4.45 2.01-8.82 4.2-12.87a40.04 40.04 0 0 0 3.79 4.89zm1.41-1.42A37.99 37.99 0 0 1 7.68 20a38 38 0 0 1 4.07-5.42L17.17 20l-5.42 5.42zm-5.2-7.37a40.04 40.04 0 0 1 3.79-4.89L2.35 5.18c.61 4.45 2.01 8.82 4.2 12.87zm6.58-4.92l-1.41-1.41-9.66-9.66a37.85 37.85 0 0 1 23.36 9.7l-6.83 6.83-5.46-5.46zm13.74 13.74L20 20l6.87-6.87A38.1 38.1 0 0 1 32.32 20a38.1 38.1 0 0 1-5.45 6.87zm6.58-8.82a40.18 40.18 0 0 0-5.17-6.33l9.66-9.66c-.3 5.52-1.8 11-4.49 16z' /%3E%3C/g%3E%3C/g%3E%3C/svg%3E");
}
.bg-overlapping-hexagons {
    background-color: #ffffff;
    background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='50' height='40' viewBox='0 0 50 40'%3E%3Cg fill-rule='evenodd'%3E%3Cg fill='%23dbeafa' fill-opacity='0.4'%3E%3Cpath d='M40 10L36.67 0h-2.11l3.33 10H20l-2.28 6.84L12.11 0H10l6.67 20H10l-2.28 6.84L2.11 10 5.44 0h-2.1L0 10l6.67 20-3.34 10h2.11l2.28-6.84L10 40h20l2.28-6.84L34.56 40h2.1l-3.33-10H40l2.28-6.84L47.89 40H50l-6.67-20L50 0h-2.1l-5.62 16.84L40 10zm1.23 10l-2.28-6.84L34 28h4.56l2.67-8zm-10.67 8l-2-6h-9.12l2 6h9.12zm-12.84-4.84L12.77 38h15.79l2.67-8H20l-2.28-6.84zM18.77 20H30l2.28 6.84L37.23 12H21.44l-2.67 8zm-7.33 2H16l-4.95 14.84L8.77 30l2.67-8z' /%3E%3C/g%3E%3C/g%3E%3C/svg%3E");
}
.bg-floor-tile {
    background-color: #ffffff;
    background-image: url("data:image/svg+xml,%3Csvg width='30' height='30' viewBox='0 0 30 30' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath d='M0 10h10v10H0V10zM10 0h10v10H10V0z' fill='%23bbdcff' fill-opacity='0.4' fill-rule='evenodd'/%3E%3C/svg%3E");
}
.bg-signal {
    background-color: #ffffff;
    background-image: url("data:image/svg+xml,%3Csvg width='84' height='48' viewBox='0 0 84 48' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath d='M0 0h12v6H0V0zm28 8h12v6H28V8zm14-8h12v6H42V0zm14 0h12v6H56V0zm0 8h12v6H56V8zM42 8h12v6H42V8zm0 16h12v6H42v-6zm14-8h12v6H56v-6zm14 0h12v6H70v-6zm0-16h12v6H70V0zM28 32h12v6H28v-6zM14 16h12v6H14v-6zM0 24h12v6H0v-6zm0 8h12v6H0v-6zm14 0h12v6H14v-6zm14 8h12v6H28v-6zm-14 0h12v6H14v-6zm28 0h12v6H42v-6zm14-8h12v6H56v-6zm0-8h12v6H56v-6zm14 8h12v6H70v-6zm0 8h12v6H70v-6zM14 24h12v6H14v-6zm14-8h12v6H28v-6zM14 8h12v6H14V8zM0 8h12v6H0V8z' fill='%23dbeafa' fill-opacity='0.3' fill-rule='evenodd'/%3E%3C/svg%3E");
}
.bg-bathroom-floor {
    background-color: #ffffff;
    background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='80' height='80' viewBox='0 0 80 80'%3E%3Cg fill='%23dbeafa' fill-opacity='0.4'%3E%3Cpath fill-rule='evenodd' d='M0 0h40v40H0V0zm40 40h40v40H40V40zm0-40h2l-2 2V0zm0 4l4-4h2l-6 6V4zm0 4l8-8h2L40 10V8zm0 4L52 0h2L40 14v-2zm0 4L56 0h2L40 18v-2zm0 4L60 0h2L40 22v-2zm0 4L64 0h2L40 26v-2zm0 4L68 0h2L40 30v-2zm0 4L72 0h2L40 34v-2zm0 4L76 0h2L40 38v-2zm0 4L80 0v2L42 40h-2zm4 0L80 4v2L46 40h-2zm4 0L80 8v2L50 40h-2zm4 0l28-28v2L54 40h-2zm4 0l24-24v2L58 40h-2zm4 0l20-20v2L62 40h-2zm4 0l16-16v2L66 40h-2zm4 0l12-12v2L70 40h-2zm4 0l8-8v2l-6 6h-2zm4 0l4-4v2l-2 2h-2z'/%3E%3C/g%3E%3C/svg%3E");
}
.bg-tiny-checkers {
    background-color: #ffffff;
    background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='8' height='8' viewBox='0 0 8 8'%3E%3Cg fill='%23bbdcff' fill-opacity='0.4'%3E%3Cpath fill-rule='evenodd' d='M0 0h4v4H0V0zm4 4h4v4H4V4z'/%3E%3C/g%3E%3C/svg%3E");
}
.bg-connections {
    background-color: #ffffff;
    background-image: url("data:image/svg+xml,%3Csvg width='36' height='36' viewBox='0 0 36 36' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath d='M36 0H0v36h36V0zM15.126 2H2v13.126c.367.094.714.24 1.032.428L15.554 3.032c-.188-.318-.334-.665-.428-1.032zM18 4.874V18H4.874c-.094-.367-.24-.714-.428-1.032L16.968 4.446c.318.188.665.334 1.032.428zM22.874 2h11.712L20 16.586V4.874c1.406-.362 2.512-1.468 2.874-2.874zm10.252 18H20v13.126c.367.094.714.24 1.032.428l12.522-12.522c-.188-.318-.334-.665-.428-1.032zM36 22.874V36H22.874c-.094-.367-.24-.714-.428-1.032l12.522-12.522c.318.188.665.334 1.032.428zm0-7.748V3.414L21.414 18h11.712c.362-1.406 1.468-2.512 2.874-2.874zm-18 18V21.414L3.414 36h11.712c.362-1.406 1.468-2.512 2.874-2.874zM4.874 20h11.712L2 34.586V22.874c1.406-.362 2.512-1.468 2.874-2.874z' fill='%23bbdcff' fill-opacity='0.14' fill-rule='evenodd'/%3E%3C/svg%3E");
}
.bg-texture {
    background-color: #ffffff;
    background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='4' height='4' viewBox='0 0 4 4'%3E%3Cpath fill='%23bbdcff' fill-opacity='0.4' d='M1 3h1v1H1V3zm2-2h1v1H3V1z'%3E%3C/path%3E%3C/svg%3E");
}
.bg-graph-paper {
    background-color: #ffffff;
    background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='100' height='100' viewBox='0 0 100 100'%3E%3Cg fill-rule='evenodd'%3E%3Cg fill='%23bbdcff' fill-opacity='0.4'%3E%3Cpath opacity='.5' d='M96 95h4v1h-4v4h-1v-4h-9v4h-1v-4h-9v4h-1v-4h-9v4h-1v-4h-9v4h-1v-4h-9v4h-1v-4h-9v4h-1v-4h-9v4h-1v-4h-9v4h-1v-4H0v-1h15v-9H0v-1h15v-9H0v-1h15v-9H0v-1h15v-9H0v-1h15v-9H0v-1h15v-9H0v-1h15v-9H0v-1h15v-9H0v-1h15V0h1v15h9V0h1v15h9V0h1v15h9V0h1v15h9V0h1v15h9V0h1v15h9V0h1v15h9V0h1v15h9V0h1v15h4v1h-4v9h4v1h-4v9h4v1h-4v9h4v1h-4v9h4v1h-4v9h4v1h-4v9h4v1h-4v9h4v1h-4v9zm-1 0v-9h-9v9h9zm-10 0v-9h-9v9h9zm-10 0v-9h-9v9h9zm-10 0v-9h-9v9h9zm-10 0v-9h-9v9h9zm-10 0v-9h-9v9h9zm-10 0v-9h-9v9h9zm-10 0v-9h-9v9h9zm-9-10h9v-9h-9v9zm10 0h9v-9h-9v9zm10 0h9v-9h-9v9zm10 0h9v-9h-9v9zm10 0h9v-9h-9v9zm10 0h9v-9h-9v9zm10 0h9v-9h-9v9zm10 0h9v-9h-9v9zm9-10v-9h-9v9h9zm-10 0v-9h-9v9h9zm-10 0v-9h-9v9h9zm-10 0v-9h-9v9h9zm-10 0v-9h-9v9h9zm-10 0v-9h-9v9h9zm-10 0v-9h-9v9h9zm-10 0v-9h-9v9h9zm-9-10h9v-9h-9v9zm10 0h9v-9h-9v9zm10 0h9v-9h-9v9zm10 0h9v-9h-9v9zm10 0h9v-9h-9v9zm10 0h9v-9h-9v9zm10 0h9v-9h-9v9zm10 0h9v-9h-9v9zm9-10v-9h-9v9h9zm-10 0v-9h-9v9h9zm-10 0v-9h-9v9h9zm-10 0v-9h-9v9h9zm-10 0v-9h-9v9h9zm-10 0v-9h-9v9h9zm-10 0v-9h-9v9h9zm-10 0v-9h-9v9h9zm-9-10h9v-9h-9v9zm10 0h9v-9h-9v9zm10 0h9v-9h-9v9zm10 0h9v-9h-9v9zm10 0h9v-9h-9v9zm10 0h9v-9h-9v9zm10 0h9v-9h-9v9zm10 0h9v-9h-9v9zm9-10v-9h-9v9h9zm-10 0v-9h-9v9h9zm-10 0v-9h-9v9h9zm-10 0v-9h-9v9h9zm-10 0v-9h-9v9h9zm-10 0v-9h-9v9h9zm-10 0v-9h-9v9h9zm-10 0v-9h-9v9h9zm-9-10h9v-9h-9v9zm10 0h9v-9h-9v9zm10 0h9v-9h-9v9zm10 0h9v-9h-9v9zm10 0h9v-9h-9v9zm10 0h9v-9h-9v9zm10 0h9v-9h-9v9zm10 0h9v-9h-9v9z'/%3E%3Cpath d='M6 5V0H5v5H0v1h5v94h1V6h94V5H6z'/%3E%3C/g%3E%3C/g%3E%3C/svg%3E");
}
.bg-hexagons {
    background-color: #ffffff;
    background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='28' height='49' viewBox='0 0 28 49'%3E%3Cg fill-rule='evenodd'%3E%3Cg id='hexagons' fill='%23dbeafa' fill-opacity='0.4' fill-rule='nonzero'%3E%3Cpath d='M13.99 9.25l13 7.5v15l-13 7.5L1 31.75v-15l12.99-7.5zM3 17.9v12.7l10.99 6.34 11-6.35V17.9l-11-6.34L3 17.9zM0 15l12.98-7.5V0h-2v6.35L0 12.69v2.3zm0 18.5L12.98 41v8h-2v-6.85L0 35.81v-2.3zM15 0v7.5L27.99 15H28v-2.31h-.01L17 6.35V0h-2zm0 49v-8l12.99-7.5H28v2.31h-.01L17 42.15V49h-2z'/%3E%3C/g%3E%3C/g%3E%3C/svg%3E");
}
.bg-4-point-stars {
    background-color: #ffffff;
    background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='24' height='24' viewBox='0 0 24 24'%3E%3Cg fill='%23dbeafa' fill-opacity='0.4'%3E%3Cpolygon fill-rule='evenodd' points='8 4 12 6 8 8 6 12 4 8 0 6 4 4 6 0 8 4'/%3E%3C/g%3E%3C/svg%3E");
}
.bg-lisbon {
    background-color: #ffffff;
    background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='80' height='80' viewBox='0 0 80 80'%3E%3Cg fill='%23dbeafa' fill-opacity='0.4'%3E%3Cpath fill-rule='evenodd' d='M41 37.59V25h-2v12.59l-8.9-8.9-1.41 1.41 8.9 8.9H25v2h12.59l-8.9 8.9 1.41 1.41 8.9-8.9V55h2V42.41l8.9 8.9 1.41-1.41-8.9-8.9H55v-2H42.41l8.9-8.9-1.41-1.41-8.9 8.9zM1 1h2v2H1V1zm0 4h2v2H1V5zm0 4h2v2H1V9zm0 4h2v2H1v-2zm0 4h2v2H1v-2zm0 4h2v2H1v-2zm0 4h2v2H1v-2zm0 4h2v2H1v-2zm0 4h2v2H1v-2zm0 4h2v2H1v-2zm0 4h2v2H1v-2zm0 4h2v2H1v-2zm0 4h2v2H1v-2zm0 4h2v2H1v-2zm0 4h2v2H1v-2zm0 4h2v2H1v-2zm0 4h2v2H1v-2zm0 4h2v2H1v-2zm0 4h2v2H1v-2zm0 4h2v2H1v-2zm4 0h2v2H5v-2zm4 0h2v2H9v-2zm4 0h2v2h-2v-2zm4 0h2v2h-2v-2zm4 0h2v2h-2v-2zm4 0h2v2h-2v-2zm4 0h2v2h-2v-2zm4 0h2v2h-2v-2zm4 0h2v2h-2v-2zm4 0h2v2h-2v-2zm4 0h2v2h-2v-2zm4 0h2v2h-2v-2zm4 0h2v2h-2v-2zm4 0h2v2h-2v-2zm4 0h2v2h-2v-2zm4 0h2v2h-2v-2zm4 0h2v2h-2v-2zm4 0h2v2h-2v-2zm4 0h2v2h-2v-2zM5 1h2v2H5V1zm4 0h2v2H9V1zm4 0h2v2h-2V1zm4 0h2v2h-2V1zm4 0h2v2h-2V1zm4 0h2v2h-2V1zm4 0h2v2h-2V1zm4 0h2v2h-2V1zm4 0h2v2h-2V1zm4 0h2v2h-2V1zm4 0h2v2h-2V1zm4 0h2v2h-2V1zm4 0h2v2h-2V1zm4 0h2v2h-2V1zm4 0h2v2h-2V1zm4 0h2v2h-2V1zm4 0h2v2h-2V1zm4 0h2v2h-2V1zm4 0h2v2h-2V1zm0 4h2v2h-2V5zm0 4h2v2h-2V9zm0 4h2v2h-2v-2zm0 4h2v2h-2v-2zm0 4h2v2h-2v-2zm0 4h2v2h-2v-2zm0 4h2v2h-2v-2zm0 4h2v2h-2v-2zm0 4h2v2h-2v-2zm0 4h2v2h-2v-2zm0 4h2v2h-2v-2zm0 4h2v2h-2v-2zm0 4h2v2h-2v-2zm0 4h2v2h-2v-2zm0 4h2v2h-2v-2zm0 4h2v2h-2v-2zm0 4h2v2h-2v-2zm0 4h2v2h-2v-2zM5 5h70v70H5V5zm2 68h66V7H7v66zM9 9h62v62H9V9zm2 60h58V11H11v58zm2-39.6V13h16.4A29.1 29.1 0 0 0 13 29.4zM15 15v6.67A31.17 31.17 0 0 1 21.67 15H15zm-2 52V50.6A29.1 29.1 0 0 0 29.4 67H13zm2-8.67V65h6.67A31.17 31.17 0 0 1 15 58.33zM67 67H50.6A29.1 29.1 0 0 0 67 50.6V67zm-8.67-2H65v-6.67A31.17 31.17 0 0 1 58.33 65zM67 13v16.4A29.1 29.1 0 0 0 50.6 13H67zm-2 8.67V15h-6.67A31.17 31.17 0 0 1 65 21.67zM39 13h2v2h-2v-2zm7.02.66l1.93.52-.51 1.93-1.94-.52.52-1.93zm6.61 2.46l1.74 1-1 1.73-1.74-1 1-1.73zm5.75 4.08l1.42 1.42-1.42 1.4-1.4-1.4 1.4-1.42zm4.5 5.43l1 1.74-1.73 1-1-1.74 1.73-1zm2.94 6.42l.52 1.93-1.93.52-.52-1.94 1.93-.51zM67 39v2h-2v-2h2zm-.66 7.02l-.52 1.93-1.93-.51.52-1.94 1.93.52zm-2.46 6.61l-1 1.74-1.73-1 1-1.74 1.73 1zm-4.08 5.75l-1.42 1.42-1.4-1.42 1.4-1.4 1.42 1.4zm-5.43 4.5l-1.74 1-1-1.73 1.74-1 1 1.73zM41 67h-2v-2h2v2zm6.95-1.18l-1.93.52-.52-1.93 1.94-.52.51 1.93zm-13.97.52l-1.93-.52.51-1.93 1.94.52-.52 1.93zm-6.61-2.46l-1.74-1 1-1.73 1.74 1-1 1.73zm-5.75-4.08l-1.42-1.42 1.42-1.4 1.4 1.4-1.4 1.42zm-4.5-5.43l-1-1.74 1.73-1 1 1.74-1.73 1zm-2.94-6.42l-.52-1.93 1.93-.52.52 1.94-1.93.51zM13 41v-2h2v2h-2zm.66-7.02l.52-1.93 1.93.51-.52 1.94-1.93-.52zm2.46-6.61l1-1.74 1.73 1-1 1.74-1.73-1zm4.08-5.75l1.42-1.42 1.4 1.42-1.4 1.4-1.42-1.4zm5.43-4.5l1.74-1 1 1.73-1.74 1-1-1.73zm6.42-2.94l1.93-.52.52 1.93-1.94.52-.51-1.93zM40 63a23 23 0 1 1 0-46 23 23 0 0 1 0 46zm0-2a21 21 0 1 0 0-42 21 21 0 0 0 0 42zm0-2a19 19 0 1 1 0-38 19 19 0 0 1 0 38zm0-2a17 17 0 1 0 0-34 17 17 0 0 0 0 34z'/%3E%3C/g%3E%3C/svg%3E");
}
.bg-morphing-diamonds {
    background-color: #ffffff;
    background-image: url("data:image/svg+xml,%3Csvg width='60' height='60' viewBox='0 0 60 60' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath d='M54.627 0l.83.828-1.415 1.415L51.8 0h2.827zM5.373 0l-.83.828L5.96 2.243 8.2 0H5.374zM48.97 0l3.657 3.657-1.414 1.414L46.143 0h2.828zM11.03 0L7.372 3.657 8.787 5.07 13.857 0H11.03zm32.284 0L49.8 6.485 48.384 7.9l-7.9-7.9h2.83zM16.686 0L10.2 6.485 11.616 7.9l7.9-7.9h-2.83zm20.97 0l9.315 9.314-1.414 1.414L34.828 0h2.83zM22.344 0L13.03 9.314l1.414 1.414L25.172 0h-2.83zM32 0l12.142 12.142-1.414 1.414L30 .828 17.272 13.556l-1.414-1.414L28 0h4zM.284 0l28 28-1.414 1.414L0 2.544V0h.284zM0 5.373l25.456 25.455-1.414 1.415L0 8.2V5.374zm0 5.656l22.627 22.627-1.414 1.414L0 13.86v-2.83zm0 5.656l19.8 19.8-1.415 1.413L0 19.514v-2.83zm0 5.657l16.97 16.97-1.414 1.415L0 25.172v-2.83zM0 28l14.142 14.142-1.414 1.414L0 30.828V28zm0 5.657L11.314 44.97 9.9 46.386l-9.9-9.9v-2.828zm0 5.657L8.485 47.8 7.07 49.212 0 42.143v-2.83zm0 5.657l5.657 5.657-1.414 1.415L0 47.8v-2.83zm0 5.657l2.828 2.83-1.414 1.413L0 53.456v-2.83zM54.627 60L30 35.373 5.373 60H8.2L30 38.2 51.8 60h2.827zm-5.656 0L30 41.03 11.03 60h2.828L30 43.858 46.142 60h2.83zm-5.656 0L30 46.686 16.686 60h2.83L30 49.515 40.485 60h2.83zm-5.657 0L30 52.343 22.343 60h2.83L30 55.172 34.828 60h2.83zM32 60l-2-2-2 2h4zM59.716 0l-28 28 1.414 1.414L60 2.544V0h-.284zM60 5.373L34.544 30.828l1.414 1.415L60 8.2V5.374zm0 5.656L37.373 33.656l1.414 1.414L60 13.86v-2.83zm0 5.656l-19.8 19.8 1.415 1.413L60 19.514v-2.83zm0 5.657l-16.97 16.97 1.414 1.415L60 25.172v-2.83zM60 28L45.858 42.142l1.414 1.414L60 30.828V28zm0 5.657L48.686 44.97l1.415 1.415 9.9-9.9v-2.828zm0 5.657L51.515 47.8l1.414 1.413 7.07-7.07v-2.83zm0 5.657l-5.657 5.657 1.414 1.415L60 47.8v-2.83zm0 5.657l-2.828 2.83 1.414 1.413L60 53.456v-2.83zM39.9 16.385l1.414-1.414L30 3.658 18.686 14.97l1.415 1.415 9.9-9.9 9.9 9.9zm-2.83 2.828l1.415-1.414L30 9.313 21.515 17.8l1.414 1.413 7.07-7.07 7.07 7.07zm-2.827 2.83l1.414-1.416L30 14.97l-5.657 5.657 1.414 1.415L30 17.8l4.243 4.242zm-2.83 2.827l1.415-1.414L30 20.626l-2.828 2.83 1.414 1.414L30 23.456l1.414 1.414zM56.87 59.414L58.284 58 30 29.716 1.716 58l1.414 1.414L30 32.544l26.87 26.87z' fill='%23dbeafa' fill-opacity='0.4' fill-rule='evenodd'/%3E%3C/svg%3E");
}
.bg-diagonal-lines {
    background-color: #ffffff;
    background-image: url("data:image/svg+xml,%3Csvg width='6' height='6' viewBox='0 0 6 6' xmlns='http://www.w3.org/2000/svg'%3E%3Cg fill='%23bbdcff' fill-opacity='0.4' fill-rule='evenodd'%3E%3Cpath d='M5 0h1L0 6V5zM6 5v1H5z'/%3E%3C/g%3E%3C/svg%3E");
}
.bg-eyes {
    background-color: #ffffff;
    background-image: url("data:image/svg+xml,%3Csvg width='20' height='12' viewBox='0 0 20 12' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath d='M6 12c0-.622-.095-1.221-.27-1.785A5.982 5.982 0 0 0 10 12c1.67 0 3.182-.683 4.27-1.785A5.998 5.998 0 0 0 14 12h2a4 4 0 0 1 4-4V6c-1.67 0-3.182.683-4.27 1.785C15.905 7.22 16 6.622 16 6c0-.622-.095-1.221-.27-1.785A5.982 5.982 0 0 0 20 6V4a4 4 0 0 1-4-4h-2c0 .622.095 1.221.27 1.785A5.982 5.982 0 0 0 10 0C8.33 0 6.818.683 5.73 1.785 5.905 1.22 6 .622 6 0H4a4 4 0 0 1-4 4v2c1.67 0 3.182.683 4.27 1.785A5.998 5.998 0 0 1 4 6c0-.622.095-1.221.27-1.785A5.982 5.982 0 0 1 0 6v2a4 4 0 0 1 4 4h2zm-4 0a2 2 0 0 0-2-2v2h2zm16 0a2 2 0 0 1 2-2v2h-2zM0 2a2 2 0 0 0 2-2H0v2zm20 0a2 2 0 0 1-2-2h2v2zm-10 8a4 4 0 1 0 0-8 4 4 0 0 0 0 8zm0-2a2 2 0 1 0 0-4 2 2 0 0 0 0 4z' fill='%23dbeafa' fill-opacity='0.4' fill-rule='evenodd'/%3E%3C/svg%3E");
}

/* https://pattern.monster */
.bg-hexagon-7 {
    background-image: url("data:image/svg+xml,<svg id='patternId' width='100%' height='100%' xmlns='http://www.w3.org/2000/svg'><defs><pattern id='a' patternUnits='userSpaceOnUse' width='58' height='100.23' patternTransform='scale(1) rotate(0)'><rect x='0' y='0' width='100%' height='100%' fill='hsla(0, 0%, 100%, 1)'/><path d='M12.127 73.813l.013 5.643 4.893-2.81zm-6.01-3.47l16.928 9.773-16.93 9.777zm-6.02-3.476l28.967 16.725L.13 100.262zm16.97 23.616l-.015 5.643-4.893-2.81zm6.01-3.472L6.148 96.786l16.93 9.776zM.128 100.261l28.935 16.669m16.874-23.67l-.013-5.644-4.894 2.81zm6.01 3.47L35.02 86.956l16.931-9.775zM29 83.482l28.936-16.669.032 33.393m-28.904 2.834l4.881-2.834-4.88-2.832zm0 6.94V90.433l16.932 9.773zm0 6.952V83.482l28.904 16.724zM58 13.915l-4.882 2.833L58 19.582zm0-6.94v19.548l-16.932-9.774zm0-6.951v33.448L29.096 16.748m0-13.89l4.88-2.833-4.88-2.833zm0 6.94V-9.749L46.026.025zm0 6.95v-33.449L58 .024zM16.94 23.696l-4.894-2.81-.014 5.643zm6.01-3.47L6.02 29.998V10.448zM0 33.472L.033.08 28.97 16.75m-5.99-29.92L6.053-3.393l16.93 9.776zM28.97 16.75L29-16.644.033.08m40.966 23.615l.013 5.643 4.893-2.81zm-6.01-3.47l16.928 9.774-16.93 9.775zm22.947 13.248L29 50.143l-.031-33.394M16.97 43.197l-.013-5.643-4.894 2.81zm6.01 3.47L6.053 36.894l16.93-9.776zM29 50.143L.032 33.419l28.936-16.67m16.937 57.008l-4.893-2.81-.014 5.644zm6.01-3.47L34.988 80.06v-19.55zM29 64.035l-4.88 2.832L29 69.7zm0-6.942v19.549L12.07 66.867zM.097 66.867L29 50.143v33.449m16.938-43.228l-.013 5.644-4.894-2.811zm6.01-3.47L35.02 46.667l16.931 9.777zM29 50.143l28.936 16.67.032-33.394M.097 52.975l4.88-2.832-4.88-2.833zm0 6.942V40.368l16.931 9.775zm0 6.95V33.42'  stroke-linecap='square' stroke-width='1' stroke='hsla(211, 76%, 92%, 1)' fill='none'/></pattern></defs><rect width='800%' height='800%' transform='translate(0,-0.46)' fill='url(%23a)'/></svg>")
}
.bg-batik-pattern-6 {
    background-image: url("data:image/svg+xml,<svg id='patternId' width='100%' height='100%' xmlns='http://www.w3.org/2000/svg'><defs><pattern id='a' patternUnits='userSpaceOnUse' width='80' height='80' patternTransform='scale(1) rotate(0)'><rect x='0' y='0' width='100%' height='100%' fill='hsla(0,0%,100%,1)'/><path d='M13.04-1.76L8.32 0l4.72 1.76L17.76 0zm13.92 0L22.24 0l4.72 1.76L31.68 0zm26.08 0L48.32 0l4.72 1.76L57.76 0zm13.92 0L62.24 0l4.72 1.76L71.68 0zM20-.8c-.48 0-.8.32-.8.8 0 .48.32.8.8.8.48 0 .8-.32.8-.8 0-.48-.32-.8-.8-.8zm40 0c-.48 0-.8.32-.8.8 0 .48.32.8.8.8.48 0 .8-.32.8-.8 0-.48-.32-.8-.8-.8zM18.48 1.52l-4.56 2.16-2.16 4.56 4.56-2.16zm3.12 0l2.16 4.56 4.56 2.16-2.16-4.56zm36.88 0l-4.56 2.16-2.16 4.56 4.56-2.16zm3.12 0l2.16 4.56 4.56 2.16-2.16-4.56zM20 2.24l-1.76 4.72L20 11.68l1.76-4.72zm40 0l-1.76 4.72L60 11.68l1.76-4.72zM0 28.32l-1.76 4.72L0 37.76l1.76-4.72zm40 0l-1.76 4.72L40 37.76l1.76-4.72zm40 0l-1.76 4.72L80 37.76l1.76-4.72zM8.32 31.68l-4.56 2.16L1.6 38.4l4.56-2.16zm23.44 0l2.16 4.56 4.56 2.16-2.16-4.56zm16.56 0l-4.56 2.16-2.16 4.56 4.56-2.16zm23.44 0l2.16 4.56 4.56 2.16-2.16-4.56zm-64.8 6.56L2.24 40l4.72 1.76L11.68 40zm26.08 0L28.32 40l4.72 1.76L37.76 40zm13.92 0L42.24 40l4.72 1.76L51.68 40zm26.08 0L68.32 40l4.72 1.76L77.76 40zM0 39.2c-.48 0-.8.32-.8.8 0 .48.32.8.8.8.48 0 .8-.32.8-.8 0-.48-.32-.8-.8-.8zm40 0c-.48 0-.8.32-.8.8 0 .48.32.8.8.8.48 0 .8-.32.8-.8 0-.48-.32-.8-.8-.8zm40 0c-.48 0-.8.32-.8.8 0 .48.32.8.8.8.48 0 .8-.32.8-.8 0-.48-.32-.8-.8-.8zM1.6 41.52l2.16 4.56 4.56 2.16-2.16-4.56zm36.88 0l-4.56 2.16-2.16 4.56 4.56-2.16zm3.12 0l2.16 4.56 4.56 2.16-2.16-4.56zm36.88 0l-4.56 2.16-2.16 4.56 4.56-2.16zM0 42.24l-1.76 4.72L0 51.68l1.76-4.72zm40 0l-1.76 4.72L40 51.68l1.76-4.72zm40 0l-1.76 4.72L80 51.68l1.76-4.72zM20 68.32l-1.76 4.72L20 77.76l1.76-4.72zm40 0l-1.76 4.72L60 77.76l1.76-4.72zm-48.24 3.36l2.16 4.56 4.56 2.16-2.16-4.56zm16.56 0l-4.56 2.16-2.16 4.56 4.56-2.16zm23.44 0l2.16 4.56 4.56 2.16-2.16-4.56zm16.56 0l-4.56 2.16-2.16 4.56 4.56-2.16zm-55.28 6.56L8.32 80l4.72 1.76L17.76 80zm13.92 0L22.24 80l4.72 1.76L31.68 80zm26.08 0L48.32 80l4.72 1.76L57.76 80zm13.92 0L62.24 80l4.72 1.76L71.68 80zM20 79.2c-.48 0-.8.32-.8.8 0 .48.32.8.8.8.48 0 .8-.32.8-.8 0-.48-.32-.8-.8-.8zm40 0c-.48 0-.8.32-.8.8 0 .48.32.8.8.8.48 0 .8-.32.8-.8 0-.48-.32-.8-.8-.8z'  stroke-width='1' stroke='none' fill='hsla(211, 76%, 92%, 1)'/><path d='M.8 16.64a.8.8 0 01-.8.8.8.8 0 01-.8-.8.8.8 0 01.8-.8.8.8 0 01.8.8zm80 0a.8.8 0 01-.8.8.8.8 0 01-.8-.8.8.8 0 01.8-.8.8.8 0 01.8.8zm-40 46.72a.8.8 0 01-.8.8.8.8 0 01-.8-.8.8.8 0 01.8-.8.8.8 0 01.8.8zm-40 0a.8.8 0 01-.8.8.8.8 0 01-.8-.8.8.8 0 01.8-.8.8.8 0 01.8.8zm80 0a.8.8 0 01-.8.8.8.8 0 01-.8-.8.8.8 0 01.8-.8.8.8 0 01.8.8zm-20-6.72a.8.8 0 01-.8.8.8.8 0 01-.8-.8.8.8 0 01.8-.8.8.8 0 01.8.8zm0-33.28a.8.8 0 01-.8.8.8.8 0 01-.8-.8.8.8 0 01.8-.8.8.8 0 01.8.8zm-20-6.72a.8.8 0 01-.8.8.8.8 0 01-.8-.8.8.8 0 01.8-.8.8.8 0 01.8.8zM2.08 7.36a.64.64 0 100 1.28.64.64 0 000-1.28zm34.72 0a.64.64 0 100 1.28.64.64 0 000-1.28zm5.28 0a.64.64 0 100 1.28.64.64 0 000-1.28zm34.72 0a.64.64 0 100 1.28.64.64 0 000-1.28zM4.48 9.76a.64.64 0 100 1.28.64.64 0 000-1.28zm29.92 0a.64.64 0 100 1.28.64.64 0 000-1.28zm10.08 0a.64.64 0 100 1.28.64.64 0 000-1.28zm29.92 0a.64.64 0 100 1.28.64.64 0 000-1.28zm-67.52 2.4a.64.64 0 100 1.28.64.64 0 000-1.28zm25.12 0a.64.64 0 100 1.28.64.64 0 000-1.28zm14.88 0a.64.64 0 100 1.28.64.64 0 000-1.28zm25.12 0a.64.64 0 100 1.28.64.64 0 000-1.28zM3.36 19.2a.8.8 0 00-.8.8c0 .4.4.8.8.8a.8.8 0 000-1.6zm13.28 0a.8.8 0 000 1.6c.4 0 .8-.32.8-.8 0-.4-.4-.8-.8-.8zm6.72 0a.8.8 0 000 1.6.8.8 0 000-1.6zm13.28 0a.8.8 0 000 1.6.8.8 0 000-1.6zm6.72 0a.8.8 0 00-.8.8c0 .4.4.8.8.8a.8.8 0 000-1.6zm13.28 0a.8.8 0 000 1.6c.4 0 .8-.32.8-.8 0-.4-.4-.8-.8-.8zm6.72 0a.8.8 0 000 1.6.8.8 0 000-1.6zm13.28 0a.8.8 0 000 1.6.8.8 0 000-1.6zM12 26.56a.64.64 0 100 1.28.64.64 0 000-1.28zm14.88 0a.64.64 0 100 1.28.64.64 0 000-1.28zm25.12 0a.64.64 0 100 1.28.64.64 0 000-1.28zm14.88 0a.64.64 0 100 1.28.64.64 0 000-1.28zm-52.48 2.4a.64.64 0 100 1.28.64.64 0 000-1.28zm10.08 0a.64.64 0 100 1.28.64.64 0 000-1.28zm29.92 0a.64.64 0 100 1.28.64.64 0 000-1.28zm10.08 0a.64.64 0 100 1.28.64.64 0 000-1.28zm-47.68 2.4a.64.64 0 100 1.28.64.64 0 000-1.28zm5.28 0a.64.64 0 100 1.28.64.64 0 000-1.28zm34.72 0a.64.64 0 100 1.28.64.64 0 000-1.28zm5.28 0a.64.64 0 100 1.28.64.64 0 000-1.28zm-45.28 16a.64.64 0 100 1.28.64.64 0 000-1.28zm5.28 0a.64.64 0 100 1.28.64.64 0 000-1.28zm34.72 0a.64.64 0 100 1.28.64.64 0 000-1.28zm5.28 0a.64.64 0 100 1.28.64.64 0 000-1.28zm-47.68 2.4a.64.64 0 100 1.28.64.64 0 000-1.28zm10.08 0a.64.64 0 100 1.28.64.64 0 000-1.28zm29.92 0a.64.64 0 100 1.28.64.64 0 000-1.28zm10.08 0a.64.64 0 100 1.28.64.64 0 000-1.28zM12 52.16a.64.64 0 100 1.28.64.64 0 000-1.28zm14.88 0a.64.64 0 100 1.28.64.64 0 000-1.28zm25.12 0a.64.64 0 100 1.28.64.64 0 000-1.28zm14.88 0a.64.64 0 100 1.28.64.64 0 000-1.28zM20 55.84a.8.8 0 000 1.6c.4 0 .8-.32.8-.8a.8.8 0 00-.8-.8zM3.36 59.2a.8.8 0 000 1.6.8.8 0 000-1.6zm13.28 0a.8.8 0 000 1.6.8.8 0 000-1.6zm6.72 0a.8.8 0 00-.8.8c0 .4.4.8.8.8a.8.8 0 000-1.6zm13.28 0a.8.8 0 000 1.6c.4 0 .8-.32.8-.8 0-.4-.4-.8-.8-.8zm6.72 0a.8.8 0 000 1.6.8.8 0 000-1.6zm13.28 0a.8.8 0 000 1.6.8.8 0 000-1.6zm6.72 0a.8.8 0 00-.8.8c0 .4.4.8.8.8a.8.8 0 000-1.6zm13.28 0a.8.8 0 000 1.6c.4 0 .8-.32.8-.8 0-.4-.4-.8-.8-.8zM6.88 66.56a.64.64 0 100 1.28.64.64 0 000-1.28zm25.12 0a.64.64 0 100 1.28.64.64 0 000-1.28zm14.88 0a.64.64 0 100 1.28.64.64 0 000-1.28zm25.12 0a.64.64 0 100 1.28.64.64 0 000-1.28zm-67.52 2.4a.64.64 0 100 1.28.64.64 0 000-1.28zm29.92 0a.64.64 0 100 1.28.64.64 0 000-1.28zm10.08 0a.64.64 0 100 1.28.64.64 0 000-1.28zm29.92 0a.64.64 0 100 1.28.64.64 0 000-1.28zm-72.32 2.4a.64.64 0 100 1.28.64.64 0 000-1.28zm34.72 0a.64.64 0 100 1.28.64.64 0 000-1.28zm5.28 0a.64.64 0 100 1.28.64.64 0 000-1.28zm34.72 0a.64.64 0 100 1.28.64.64 0 000-1.28zm-56-48a.8.8 0 01-.8.8.8.8 0 01-.8-.8.8.8 0 01.8-.8.8.8 0 01.8.8z'  stroke-width='1' stroke='none' fill='hsla(211, 100%, 87%, 1)'/></pattern></defs><rect width='800%' height='800%' transform='translate(0,-59)' fill='url(%23a)'/></svg>")
}


/**********************************************************************************************************************/
/*** THIRD PART INTEGRATION                                                                                           */
/**********************************************************************************************************************/

/* SWEET ALERT 2 */
h2.swal2-title {
    padding: 15px 0 0 0 !important;
}

.form-label{
    font-weight: bold;
}

fieldset{
    border-radius: 5px;
}
